> For the complete documentation index, see [llms.txt](https://docs.spectralink.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spectralink.net/amie-essentials/release-notes/sam-1-10.md).

# SAM 1.10

SAM Version: 1.10.0.xxx.1257

For use with Versity versions:

* Versity 92 Series R1.8 using Android 10
* Versity 95/96 Series R2.8.1 using Android 10
* Versity 97 Series R13.2 using Android 13

## Upgrading to SAM 1.10

### Upgrade paths for SAM 1.10

* \*If you’re running \*\*SAM 1.9.1 or 1.9.2\
  \*\*\*You can upgrade directly to 1.10:\
  1.9.1 or 1.9.2 → 1.10
* \*If you’re running **SAM 1.9.0**\
  \*You should first upgrade to 1.9.2:\
  1.9.0 → 1.9.2 → 1.10
* \*If you’re running **SAM 1.4.1 to 1.8**\
  \*You should first upgrade to 1.9.0, then upgrade to 1.9.2:\
  1.4.1 through 1.8 → 1.9.0 → 1.9.2 →1.10
* \*If you’re running a version of **SAM before 1.4.1**\
  \*You should first upgrade to 1.4.1, then upgrade to 1.9.0, then to 1.9.2:\
  1.4.0 or earlier → 1.4.1 → 1.9.0 → 1.9.2 →1.10

{% hint style="success" %}
**Back up and take a snapshot of your current configuration before updating SAM!**

Always back up and take a snapshot of the current SAM installation prior to upgrading the SAM software.
{% endhint %}

1.

{% hint style="info" %}
**SAM server components will be restarted after upgrade**

Upgrading the SAM software will interrupt SAM’s operation while the server restarts, but this has no effect on the attached phones: your users will not experience any interruption during the upgrade.
{% endhint %}

{% hint style="info" %}
**SSH is disabled by default in SAM 1.10**

To enhance the security posture of the SAM server, SSH is disabled by default in SAM 1.10.0. See [Enabling/Disabling SSH](#enabling-disabling-ssh) for further information.
{% endhint %}

#### Upgrading to SAM 1.10 is different from previous SAM releases

The following section only applies if you are upgrading from an earlier SAM version.

As part of security updates delivered in the application, SAM 1.10 uses a new operating system. To upgrade to SAM 1.10 you must deploy the SAM 1.10 image as a new VM, then import your old SAM configuration data into this system.

The following instructions cover upgrading using either the same IP address you currently use or a different IP address. These steps assume some familiarity with SAM provisioning.

If you’re not familiar, most of these steps are explained in greater detail in the SAM Administration Guide, *Chapter 1: Install SAM Server*, Steps 1-3, although some procedures differ.

**Upgrading from SAM 1.9.1 or 1.9.2 to SAM 1.10 using the same IP address**

1. Navigate to the *About SAM* page of your existing SAM 1.9.1/1.9.2 instance and click **Backup Now** (near the bottom of the page). Take note of your account number.
2. After waiting approximately 60 seconds and refreshing the page, you should see a new backup file appear. Click the Download icon to save it to your hard drive. Shut down the VM using the VMware console or CLI:

   ```bash
   sudo shutdown -h now
   ```
3. If you haven’t already done so, download the SAM 1.10 software image from the Spectralink support site. Unzip the image zip which contains OVF and VMDK files.
4. Deploy the new SAM OVF in the VMware console. In the console navigate to the new VM and authenticate using the default credentials of **sam** for username and **sam** for password. Navigate to the bin directory:

   ```bash
   cd bin
   ```
5. Run the network configuration script:

   ```bash
   sudo python network_init.py
   ```

   to set the static IP address, netmask, DNS, and Gateway. Use the same values as your old SAM 1.9.1/1.9.2 server.
6. Run the application configuration script:

   ```bash
   sudo python application_init.py
   ```

   to start the SAM application running. Set up the AD as appropriate.
7. Open your web browser to the SAM login URI: **https\://\[IP address or server name]/sam/**.
8. Proceed through the dialogs to enter your account number and create an admin account. Navigate to the *About* page. Click **Browse File**, then select the backup file from your hard drive that you saved in Step 2. Wait for that file to upload.
9. If you plan to use SSH for configuration access, enable SSH using the steps [here](#enabling-disabling-ssh).
10. In the console (or via SSH [if enabled](#enabling-disabling-ssh)), run the import script:

    ```bash
    ./import.sh
    ```

    Remember that your SAM web browser login authentication credentials will be the SAM 1.9.1/1.9.2 system’s credentials after import.
11. Log back into the SAM web UI after the system restarts. Navigate to the *About* page again. Click **Browse File** and select the SAM 1.10 *artifacts.zip* file you previously downloaded from the Spectralink Support site.
12. After upload is complete, go back to the console (or via SSH [if enabled](#enabling-disabling-ssh)) and run the upgrade command:

    ```bash
    ./upgrade.sh
    ```
13. After another restart your upgrade to SAM 1.10 will be complete. Your phones will communicate with the new instance without having to change certificates.

**Upgrading from SAM 1.9.1 or 1.9.2 to SAM 1.10 using a different IP address**

1. Navigate to the *About SAM* page of your existing SAM instance and click **Backup Now** (near the bottom of the page).
2. After waiting approximately 60 seconds and refreshing the page, you should see a new backup file appear. Click the Download icon to save it to your hard drive. Shut down the VM using the VMware console or CLI:

   ```bash
   sudo shutdown -h now
   ```
3. If you haven’t already done so, download the SAM 1.10 software image from the Spectralink support site. Unzip the image zip which contains OVF and VMDK files.
4. Deploy the new SAM OVF in the VMware console. In the console navigate to the new VM and authenticate using the default credentials of **sam** for username and **sam** for password. Navigate to the bin directory:

   ```bash
   cd bin
   ```
5. Run the network configuration script:

   ```bash
   sudo python network_init.py
   ```

   to set the static IP address, netmask, DNS, and Gateway for your new desired SAM IP static address.
6. Run the application configuration script:

   ```bash
   sudo python application_init.py
   ```

   to start the SAM application running. Set up the AD as appropriate.
7. Open your web browser to the SAM login URI: **https\://\[IP address or server name]/sam/**.
8. Proceed through the dialogs to enter your account number and create an admin account. Navigate to the *About* page. Click **Browse File**, then select the backup file from your hard drive that you saved in Step 2. Wait for that file to upload.
9. If you plan to use SSH for configuration access, enable SSH, using the steps [here](#enabling-disabling-ssh).
10. In the console (or via SSH [if enabled](#enabling-disabling-ssh)), run the import script:

    ```bash
    ./import.sh
    ```

    Remember that your authentication credentials will change to the old system’s credentials after import.
11. Log back into the SAM web UI after the system restarts. Navigate to the *About* page again. Click **Browse File** and select the SAM 1.10 *artifacts.zip* file you previously downloaded from the Spectralink Support site.
12. After upload go back to the console (or via SSH [if enabled](#enabling-disabling-ssh)) and run the upgrade command:

    ```bash
    ./upgrade.sh
    ```
13. The backup will load the old SAM 1.9.1/1.9.2 certificate based on the old network information in SAM. To generate the SAM certificate with the server new IP/FQDN, run the application configuration script again:

    ```bash
    sudo python application_init.py
    ```

    Enter the new network information. This will generate a new certificate.
14. In the web UI navigate to the *About* page. Click **Copy Certificate to Clipboard** in the *SAM Server Certificate* section to obtain the new certificate. Paste the clipboard into a file and save it.
15. This new certificate file will need to be sent to the SAM client app on your Versity devices using your EMM.
    1. Note: If you’ve enabled beta features in your SAM preferences you can install the certificate file on an individual phone without using an EMM: open the *Connect to SAM with QR code* section on SAM’s *About* page to display the QR code, then launch the SAM Client app on the phone and click **ENROLL DEVICE** to scan the code.
16. Your upgrade to SAM 1.10 is complete. Your phones will communicate with the new instance once they have the new certificate in their certificate store if you used the self-signed certificate. If you signed the original SAM certificate with a private root or public CA, you can download the CSR from the About page and sign it in the same manner for the new SAM instance (see the admin guide for instructions on how to upload the signed certificate). This would resolve the encrypted communication issue, but you would still need to update the SAM IP/account key info in the phones.

## Enhancements

Enhancements marked *Versity 97 Series* below are only available on the new Versity 97 Series phones running Android 13.

### General

#### Enhanced security

The SAM1.10.0 software has been widely updated to address important security vulnerabilities. These changes include updating the operating system to Ubuntu 22, and extensive updates of core application frameworks and libraries.

#### SSH is Disabled by Default

To enhance the security posture of the SAM server, SSH is disabled by default in SAM 1.10.0. You can enable or disable SSH in two ways: via the command line, or within the SAM UI. See [Enabling/Disabling SSH](#enabling-disabling-ssh).

**Enabling/Disabling SSH**

{% hint style="info" %}
**SSH is disabled by default in SAM 1.10.0**

This section covers how to enable or disable SSH in your deployment.
{% endhint %}

To enhance the security posture of the SAM server, SSH is disabled by default in SAM 1.10.0. You can enable or disable SSH in two ways: via the command line, or within the SAM UI.

**Enabling/Disabling SSH via the command line**

To enable SSH via the command line, run the following script:

```bash
./change-state-of-ssh.sh
```

This script toggles SSH on or off. Since SSH is off by default, the first time you run this script SSH will be enabled, and you’ll see this message in the terminal: *Service not running, starting service*. If you run the script again, SSH will be disabled, and the terminal will report *Service is running, stopping service*.

**Enabling/Disabling SSH from SAM’s About page**

To enable SSH using the SAM UI, go to SAM’s *About* page and click **Switch SSH State**.

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-c0d7c1ceed5b75c255558883b9837ed3483313d8%2Frn-image21.png?alt=media)

This button toggles SSH on or off: since SSH is off by default, the first time you click this button SSH will be enabled. If you click it again, SSH will be disabled. (Note that it takes a few minutes after clicking the button for the toggle to occur when using this approach.)

### Barcode

#### Allow URL Redirection to Browser

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-cbfc3502f085754832b2f0b7e0d845ecfecab72b%2Frn-image22.png?alt=media)

By default the Barcode app redirects QR code data that begins with *http\://* or *https\://* to the phone’s browser. This setting allows administrators to change that behavior, to enable the scanner to work properly with certain third-party apps. (SAM-1327)

### Device Settings

#### New Quick Settings Tiles

There are 8 new Quick Settings Tiles available for the Versity 97 Series phones running the upcoming Versity 13.2 (or higher) release:

* Calculator
* Live Caption
* Color Correction
* QR Scan
* Extra Dim
* Screen Record
* Device Control
* Alarm

Unlike the other Quick Settings Tiles, these are disabled (and therefore not visible to the user) by default. (SAM-1312)

#### Allow Manage Notification Settings Button

*For Versity 97 Series phones only*

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-78b98dffe368cefb080af259913d948e935d8a27%2Frn-image23.png?alt=media)

This setting makes it possible to hide the **Manage** button that appears in Android’s Notification Shade, for administrators who don’t want users to have access to the Notifications Settings on their phones. It’s set to *Allow* by default; if set to *Disallow* the button will not appear in the Shade. (This setting only applies to Versity 97 Series phones; the button does not appear in the other models.)\
(SAM-1321)

#### Double-Tap Screen to Wake

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-f025e72e139fa3a51859668788c84cea844cefb9%2Frn-image24.png?alt=media)

This feature, available for the Versity 97 Series phones, gives the user the option to double-tap the screen to wake the phone. By default the user can choose whether to enable or disable this feature; alternatively, an administrator can control its availability.\
(SAM-1329)

#### Default Notification Sound and Default Alarm Sound can now be set to “None”

If you’re in an environment where you want notifications and alarms to just trigger a vibration in the phone with no sound, you can now set Default Notification Sound and Default Alarm Sound to “None”. (SAM-1336)

### Sys Updater

#### Apply Update when Charging

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-2a49da720ec763261ab5f9e3c9358ae0170d5e96%2Frn-image25.png?alt=media)

When this setting is enabled, if a phone is charging and a software update is available, a notification will appear on the screen displaying a 30-second countdown. If the user does not cancel the operation during the countdown, the phone will reboot and apply the update. This setting is disabled by default. (APPS-5686)

## Fixed Issues

**Key** **Summary**

SAM-991 If an administrator attempts to apply a backup from an incompatible previous version of SAM, a warning will appear and the backup will be prevented.

SAM-1013 The Decode Session Timeout slider in the Barcode app automatically increments in multiples of 5.

## Known Issues

**Key** **Summary**

SAM-1099 During the upgrade process the web UI may occasionally not be operational, and communication between SAM and devices may be paused.

SAM-1378 When SAM is reverted to a backed-up version, in some circumstances the backed-up version’s configurations will be out of sync with phones even after they heartbeat into SAM.\
*Workaround:* Administrators should select their phones from SAM’s Device List and choose **Re-apply Config** from the *Select actions* dropdown.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.spectralink.net/amie-essentials/release-notes/sam-1-10.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
